unit Bild3A;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Movie, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    ShowButton: TButton;
    HideButton: TButton;
    EndButton: TButton;
    Panel1: TPanel;
    MoveButton: TButton;
    TurnButton: TButton;
    Animate1: TAnimate;
    procedure ShowButtonClick(Sender: TObject);
    procedure HideButtonClick(Sender: TObject);
    procedure EndButtonClick(Sender: TObject);
    procedure MoveButtonClick(Sender: TObject);
    procedure TurnButtonClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

const Pfad = '.\bilder\';  // 'c:\delphi\buch\bilder\';
var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ShowButtonClick(Sender: TObject);
begin
  try
    Animate1.FileName := Pfad+'MFigur.avi';
    Animate1.Reset;
    Animate1.Show;
  except
    Caption := 'Kein Bild';
  end;
end;

procedure TForm1.HideButtonClick(Sender: TObject);
begin
  Animate1.Hide;
end;

procedure TForm1.EndButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.MoveButtonClick(Sender: TObject);
begin
  try
    Animate1.FileName := Pfad+'MFigur.avi';
    Animate1.Show;
    Animate1.Active := true;
  except
    Caption := 'Kein Film';
  end;
end;

procedure TForm1.TurnButtonClick(Sender: TObject);
begin
  try
    Animate1.FileName := Pfad+'TFigur.avi';
    Animate1.Show;
    Animate1.Active := true;
  except
    Caption := 'Kein Film';
  end;
end;

end.
